| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
CaptureFilterEdit Class Reference
Inheritance diagram for CaptureFilterEdit:

## Public Slots
void | checkFilter ()
void | updateBookmarkMenu ()
void | saveFilter ()
void | removeFilter ()
void | showFilters ()
void | prepareFilter ()
Public Slots inherited from SyntaxLineEdit
void | setStyleSheet (const QString &style_sheet)
void | insertFilter (const QString &filter)
bool | checkDisplayFilter (QString filter)
void | checkFieldName (QString field)
void | checkCustomColumn (QString fields)
void | checkInteger (QString number)

## Signals
void | captureFilterSyntaxChanged (bool valid)
void | captureFilterChanged (const QString filter)
void | startCapture ()
void | addBookmark (const QString filter)

## Public Member Functions
| CaptureFilterEdit (QWidget *parent=0, bool plain=false)
void | setConflict (bool conflict=false)
Public Member Functions inherited from SyntaxLineEdit
| SyntaxLineEdit (QWidget *parent=0)
SyntaxState | syntaxState () const
void | setSyntaxState (SyntaxState state=Empty)
QString | syntaxErrorMessage ()
QString | syntaxErrorMessageFull ()
QString | styleSheet () const
QString | deprecatedToken ()
void | setCompleter (QCompleter *c)
QCompleter * | completer () const
void | allowCompletion (bool enabled)

## Static Public Member Functions
static QPair< const QString, bool > | getSelectedFilter ()
Static Public Member Functions inherited from SyntaxLineEdit
static QString | createSyntaxErrorMessageFull (const QString &filter, const QString &err_msg, qsizetype loc_start, size_t loc_length)

## Protected Member Functions
void | paintEvent (QPaintEvent *evt)
void | resizeEvent (QResizeEvent *)
void | keyPressEvent (QKeyEvent *event)
void | focusInEvent (QFocusEvent *event)
Protected Member Functions inherited from SyntaxLineEdit
void | setCompletionTokenChars (const QString &token_chars)
bool | isComplexFilter (const QString &filter)
QPoint | getTokenUnderCursor ()
QStringList | splitLineUnderCursor ()
virtual bool | event (QEvent *event)
void | completionKeyPressEvent (QKeyEvent *event)
void | completionFocusInEvent (QFocusEvent *event)
virtual void | focusOutEvent (QFocusEvent *event)

## Additional Inherited Members
Public Types inherited from SyntaxLineEdit
enum | SyntaxState { Empty , Busy , Invalid , Deprecated , Valid }
Protected Attributes inherited from SyntaxLineEdit
QCompleter * | completer_
QStringListModel * | completion_model_
Properties inherited from SyntaxLineEdit
SyntaxState | syntaxState

## Member Function Documentation

## ◆ paintEvent()

void CaptureFilterEdit::paintEvent | ( | QPaintEvent * | evt | ) |
| protected virtual

Reimplemented from SyntaxLineEdit.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/capture_filter_edit.h
- /builds/wireshark/wireshark/ui/qt/widgets/capture_filter_edit.cpp